# SDPDummySession Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPDummySession:

[legend]
Collaboration diagram for SDPDummySession:
[legend]

## Public Member Functions

| SDPDummySession (const Init &init)
virtual const PCaselessString & | GetSessionType () const
virtual SDPMediaDescription * | CreateSDPMediaDescription ()
virtual OpalMediaStream * | CreateMediaStream (const OpalMediaFormat &mediaFormat, unsigned sessionID, bool isSource)

## Static Public Member Functions

static const PCaselessString & | SessionType ()

## Constructor & Destructor Documentation

SDPDummySession::SDPDummySession | ( | const Init & | init | ) |

## Member Function Documentation

virtual OpalMediaStream* SDPDummySession::CreateMediaStream | ( | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource |
| ) |  |  | `[virtual]`

Implements OpalMediaSession.

virtual SDPMediaDescription* SDPDummySession::CreateSDPMediaDescription | ( |  | ) | `[virtual]`

Reimplemented from OpalMediaSession.

virtual const PCaselessString& SDPDummySession::GetSessionType | ( |  | ) | const`[virtual]`

Implements OpalMediaSession.

static const PCaselessString& SDPDummySession::SessionType | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- sdp.h